<!-- Copyright (C) Perinet -->
<!DOCTYPE html>
<html>
	<head>
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />

		<title>Alpine container</title>

		<link rel="stylesheet" type="text/css" href="static/css/base.css" />
		<link rel="stylesheet" type="text/css" href="static/css/framing.css" />
		<link rel="stylesheet" type="text/css" href="static/css/home.css" />
		<link rel="stylesheet" type="text/css" href="static/css/style.css" />
		<link rel="stylesheet" type="text/css" href="static/css/switches.css" />
		<link rel="stylesheet" type="text/css" href="static/css/help-tip.css" />
		<link rel="stylesheet" type="text/css" href="static/css/keyframes.css" />
		<link rel=icon type="image/png" href=/favicon.ico>
		<script type="text/javaScript" src="static/js/jquery-3.6.0.min.js"></script>
		<script type="text/javaScript" src="static/js/cert_decoder.js"></script>
		<script type="text/javaScript" src="static/js/security.js"></script>
		<script type="text/javaScript">
			function generate_otp() {
				$.get( "/ssh/otp", function( data ) {
					let otp = String( parseInt(data.otp) ).padStart(6, '0');
					$( '#otp_text' ).val(otp);
				}, "json");
			}

			function init() {
				init_security(false);
				get_configuration();
			}

			function get_configuration() {
				$.get( "/node/config", function( data ) {
					$( '#application_name' ).val(data.application_name);
				}, "json");
			}

			function configure() {
				$.ajax({
				   type: 'PATCH',
				   url: '/node/config',
				   data: JSON.stringify({"application_name":$("#application_name").val()}),
				   processData: false,
				   contentType: 'application/json-patch+json',
				   success: function() {alert("Configuration successful!")}
				});
			}
		</script>
	</head>

	<body onload=init()>
		<div class="headercontainer">
			<!--Metanav-->
			<div class="meta">
				<div class="left" style="line-height: 24px;font-weight: bold;">Alpine</div>
				<div class="middle"></div>
				<div class="right"><span></span></div>
			</div>
			<!--END Metanav-->

			<div class="header" id="header_cnt">
				<div class="headerlogo"><img src="static/images/logo_perinet.png" width="258" height="94" alt="" /></div>
			</div>
		</div>

		<!--Content-->
		<div id="content">
			<div id="inner_content">
				<div class="contentinput" style="padding-bottom: 50px;">
					<div class="inputitem" style="margin-bottom: 100px;">
						<section>
							<h2>Description</h2>
							The <span style="font-weight:bold;">Alpine</span> container is provided as a template for developing your own application. For detailed information on how to use it and how to deploy your own customized web application, please check the <a target="_blank" href="https://docs.perinet.io/">documentation</a>.
							
							<div class="contentline_single gap10_20" style="margin-top:50px"></div>
							<div class="contentinput" style="margin-bottom: 20px;">
								<h2>Application name and SSH access</h2>
								<table style="padding-left:60px">
									<tr>
										<td colspan="2" class="left"></td>
									</tr>
									<tr>
										<td class="left">Application name:</td>
										<td class="input">
											<input style="margin-left:55px;width:315px;" type="text" id="application_name" placeholder="application_name"></input>
											<input type="submit" class="submit_bt enabled short nextto" enabled onclick="configure()" value="Configure">
										</td>
									</tr>
									<tr>
										<td colspan="2" class="left"></td>
									</tr>
									<tr>
										<td class="left">SSH one time password:</td>
										<td class="input">
											<input style="margin-left:55px; width:315px;" type="text" readonly id="otp_text" placeholder="Generate OTP for root"></input>
											<input type="submit" class="submit_bt enabled short nextto" enabled onclick="generate_otp()" value="Generate">
										</td>
									</tr>
								</table>
							</div>
							<div class="contentline_single gap10_20" style="margin-top:50px"></div>
							<div class="contentinput" style="margin-bottom: 20px;">
								<h2>Security configuration</h2>
								<table id="security_table" align="left">
								</table>
							</div>
						</section>
					</div>
				</div>


				<!--Footer-->
				<br>
				<div class="footer">
					<div>
						<div style="float:left;width:140px;text-align:left;font-weight:bold;">periMICA</div>
						<div style="float:left;width:780px;text-align:right;"><span></span></div>
					</div>
				</div>

			</div>
		</div>

	</body>
</html>
